POST api/NTPrescreeningDiversion/PostCreateNotificationPSD
Request Information
URI Parameters
None.
Body Parameters
PSDEmailNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| NotificationTypeId | integer |
None. |
|
| NotificationType | string |
String length: inclusive between 0 and 250 |
|
| KeyName | string |
String length: inclusive between 0 and 250 |
|
| EmailBody | string |
String length: inclusive between 0 and 2000 |
|
| BodyFormat | string |
String length: inclusive between 0 and 50 |
|
| EmailSubject | string |
String length: inclusive between 0 and 1000 |
|
| EmailTo | string |
String length: inclusive between 0 and 1000 |
|
| EmailToConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailCC | string |
String length: inclusive between 0 and 1000 |
|
| EmailCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailBCC | string |
String length: inclusive between 0 and 200 |
|
| EmailBCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmployeeEmail | string |
String length: inclusive between 0 and 1000 |
|
| SupervisorEmail | string |
String length: inclusive between 0 and 1000 |
|
| SentTime | date |
None. |
|
| Status | integer |
None. |
|
| MessageQueueId | integer |
None. |
|
| CreatedUserName | string |
String length: inclusive between 0 and 61 |
|
| HasAttachment | boolean |
None. |
|
| OpenDate | date |
None. |
|
| Sequence | integer |
None. |
|
| PrescreeningDiversionId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"ClinicalPathwayId": 2,
"NotificationTypeId": 3,
"NotificationType": "sample string 4",
"KeyName": "sample string 5",
"EmailBody": "sample string 6",
"BodyFormat": "sample string 7",
"EmailSubject": "sample string 8",
"EmailTo": "sample string 9",
"EmailToConfig": "sample string 10",
"EmailCC": "sample string 11",
"EmailCCConfig": "sample string 12",
"EmailBCC": "sample string 13",
"EmailBCCConfig": "sample string 14",
"EmployeeEmail": "sample string 15",
"SupervisorEmail": "sample string 16",
"SentTime": "2026-06-20T12:45:03.6801185-07:00",
"Status": 17,
"MessageQueueId": 18,
"CreatedUserName": "sample string 19",
"HasAttachment": true,
"OpenDate": "2026-06-20T12:45:03.6801185-07:00",
"Sequence": 21,
"PrescreeningDiversionId": 22,
"EmployeeId": "sample string 23",
"CorporationCode": "sample string 24",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:45:03.6801185-07:00",
"DateUpdated": "2026-06-20T12:45:03.6801185-07:00",
"UserIDCreated": 28,
"UserIDUpdated": 29,
"CompanyCode": "sample string 30",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfPSDEmailNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | PSDEmailNotificationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ClinicalPathwayId": 2,
"NotificationTypeId": 3,
"NotificationType": "sample string 4",
"KeyName": "sample string 5",
"EmailBody": "sample string 6",
"BodyFormat": "sample string 7",
"EmailSubject": "sample string 8",
"EmailTo": "sample string 9",
"EmailToConfig": "sample string 10",
"EmailCC": "sample string 11",
"EmailCCConfig": "sample string 12",
"EmailBCC": "sample string 13",
"EmailBCCConfig": "sample string 14",
"EmployeeEmail": "sample string 15",
"SupervisorEmail": "sample string 16",
"SentTime": "2026-06-20T12:45:03.680644-07:00",
"Status": 17,
"MessageQueueId": 18,
"CreatedUserName": "sample string 19",
"HasAttachment": true,
"OpenDate": "2026-06-20T12:45:03.680644-07:00",
"Sequence": 21,
"PrescreeningDiversionId": 22,
"EmployeeId": "sample string 23",
"CorporationCode": "sample string 24",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:45:03.680644-07:00",
"DateUpdated": "2026-06-20T12:45:03.680644-07:00",
"UserIDCreated": 28,
"UserIDUpdated": 29,
"CompanyCode": "sample string 30",
"IsExcludeDiscount": true
},
"totalCount": 3
}